# udm_get_doc_count

(PHP 4 >= 4.0.5, PHP 5 < 5.1.0, PECL mnogosearch >= 1.0.0)

udm_get_doc_count — Get total number of documents in database

### Description

udm_get_doc_count ( resource `$agent` ) : int

udm_get_doc_count() returns the number of documents in the database.

### Parameters

`agent`

  A link to Agent, received after call to udm_alloc_agent().

### Return Values

Returns the number of documents.

### Notes

> Note:

> This function is supported only in mnoGoSearch 3.1.11 or later.